Redmine - Defect #13850

Unable to set custom fields for versions using the REST API
2013-04-23 11:45 - Jurgen Diez

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version: 232

Resolution: Fixed Affected version: 2.2.0
Description

When uusing the REST API to update the versions (using the xml format), the custom fields are ignored if the syntax is used as
described on http://www.redmine.org/projects/redmine/wiki/Rest_api

After modifying the app/model/version.rb similar to r9783 it worked. The solution is therefore pretty simple.

| only checked to update the versions. Maybe this bug is also present for other models.

Associated revisions

Revision 11760 - 2013-05-01 17:57 - Jean-Philippe Lang
Fixed: Unable to set custom fields for versions using the REST API (#13850).

Revision 11837 - 2013-05-12 11:45 - Jean-Philippe Lang
Merged r11760 from trunk (#13850).

History

#1 - 2013-05-01 17:58 - Jean-Philippe Lang

- Subject changed from Unable to set custom fields for versions using the REST APl POST/PUT to Unable to set custom fields for versions using the
REST API

- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang
- Target version set to 2.3.2

- Resolution set to Fixed

Fixed in r11760 with a test, I've checked the other models.
Thanks for pointing this out.

#2 - 2013-05-12 11:46 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
